package reparto_izca.keymon.lat;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_foto_subs_0 {


public static RemoteObject  _activity_pause(RemoteObject __ref,RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,43);
if (RapidSub.canDelegate("activity_pause")) { return __ref.runUserSub(false, "c_foto","activity_pause", __ref, _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 43;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(1024);
 BA.debugLineNum = 45;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,34);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_foto","b4xpage_appear", __ref);}
 BA.debugLineNum = 34;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(2);
 BA.debugLineNum = 35;BA.debugLine="InitializeCamera";
Debug.ShouldStop(4);
__ref.runClassMethod (reparto_izca.keymon.lat.c_foto.class, "_initializecamera" /*RemoteObject*/ );
 BA.debugLineNum = 36;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_closerequest(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,154);
if (RapidSub.canDelegate("b4xpage_closerequest")) { return __ref.runUserSub(false, "c_foto","b4xpage_closerequest", __ref);}
ResumableSub_B4XPage_CloseRequest rsub = new ResumableSub_B4XPage_CloseRequest(null,__ref);
rsub.remoteResumableSub = anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSubForFilter();
rsub.resume(null, null);
return RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.keywords.Common.ResumableSubWrapper"), rsub.remoteResumableSub);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_B4XPage_CloseRequest extends BA.ResumableSub {
public ResumableSub_B4XPage_CloseRequest(reparto_izca.keymon.lat.c_foto parent,RemoteObject __ref) {
this.parent = parent;
this.__ref = __ref;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
RemoteObject __ref;
reparto_izca.keymon.lat.c_foto parent;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,154);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
{
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,RemoteObject.createImmutable(null));return;}
case 0:
//C
this.state = -1;
Debug.locals.put("_ref", __ref);
 BA.debugLineNum = 157;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(268435456);
parent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 159;BA.debugLine="Return False";
Debug.ShouldStop(1073741824);
if (true) {
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,(parent.__c.getField(true,"False")));return;};
 BA.debugLineNum = 160;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,22);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_foto","b4xpage_created", __ref, _root1);}
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 22;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 23;BA.debugLine="Root = Root1";
Debug.ShouldStop(4194304);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 25;BA.debugLine="g.Initialize(\"GPS\")";
Debug.ShouldStop(16777216);
__ref.getField(false,"_g" /*RemoteObject*/ ).runVoidMethod ("Initialize",(Object)(RemoteObject.createImmutable("GPS")));
 BA.debugLineNum = 26;BA.debugLine="Root.LoadLayout(\"foto\")";
Debug.ShouldStop(33554432);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("foto")),__ref.getField(false, "ba"));
 BA.debugLineNum = 27;BA.debugLine="c=Starter.skmt.ExecQuery(\"select cuenta from cuen";
Debug.ShouldStop(67108864);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_foto._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select cuenta from cuentaa"))));
 BA.debugLineNum = 28;BA.debugLine="c.Position = 0";
Debug.ShouldStop(134217728);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 29;BA.debugLine="cuenta = c.GetString(\"CUENTA\")";
Debug.ShouldStop(268435456);
__ref.setField ("_cuenta" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUENTA"))));
 BA.debugLineNum = 30;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btneffect_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("btnEffect_Click (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,116);
if (RapidSub.canDelegate("btneffect_click")) { return __ref.runUserSub(false, "c_foto","btneffect_click", __ref);}
RemoteObject _effects = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
RemoteObject _effect = RemoteObject.createImmutable("");
 BA.debugLineNum = 116;BA.debugLine="Sub btnEffect_Click";
Debug.ShouldStop(524288);
 BA.debugLineNum = 117;BA.debugLine="Dim effects As List = camEx.GetSupportedColorEffe";
Debug.ShouldStop(1048576);
_effects = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
_effects = __ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_getsupportedcoloreffects" /*RemoteObject*/ );Debug.locals.put("effects", _effects);Debug.locals.put("effects", _effects);
 BA.debugLineNum = 118;BA.debugLine="If effects.IsInitialized = False Then";
Debug.ShouldStop(2097152);
if (RemoteObject.solveBoolean("=",_effects.runMethod(true,"IsInitialized"),c_foto.__c.getField(true,"False"))) { 
 BA.debugLineNum = 119;BA.debugLine="ToastMessageShow(\"Effects not supported.\", False";
Debug.ShouldStop(4194304);
c_foto.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Effects not supported.")),(Object)(c_foto.__c.getField(true,"False")));
 BA.debugLineNum = 120;BA.debugLine="Return";
Debug.ShouldStop(8388608);
if (true) return RemoteObject.createImmutable("");
 };
 BA.debugLineNum = 122;BA.debugLine="Dim effect As String = effects.Get((effects.Index";
Debug.ShouldStop(33554432);
_effect = BA.ObjectToString(_effects.runMethod(false,"Get",(Object)(RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {_effects.runMethod(true,"IndexOf",(Object)((__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_getcoloreffect" /*RemoteObject*/ )))),RemoteObject.createImmutable(1)}, "+",1, 1)),_effects.runMethod(true,"getSize")}, "%",0, 1))));Debug.locals.put("effect", _effect);Debug.locals.put("effect", _effect);
 BA.debugLineNum = 123;BA.debugLine="camEx.SetColorEffect(effect)";
Debug.ShouldStop(67108864);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_setcoloreffect" /*RemoteObject*/ ,(Object)(_effect));
 BA.debugLineNum = 124;BA.debugLine="ToastMessageShow(effect, False)";
Debug.ShouldStop(134217728);
c_foto.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence(_effect)),(Object)(c_foto.__c.getField(true,"False")));
 BA.debugLineNum = 125;BA.debugLine="camEx.CommitParameters";
Debug.ShouldStop(268435456);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_commitparameters" /*RemoteObject*/ );
 BA.debugLineNum = 126;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnflash_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("btnFlash_Click (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,128);
if (RapidSub.canDelegate("btnflash_click")) { return __ref.runUserSub(false, "c_foto","btnflash_click", __ref);}
RemoteObject _f = null;
RemoteObject _flashmodes = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
RemoteObject _flash = RemoteObject.createImmutable("");
 BA.debugLineNum = 128;BA.debugLine="Sub btnFlash_Click";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 129;BA.debugLine="Dim f() As Float = camEx.GetFocusDistances";
Debug.ShouldStop(1);
_f = __ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_getfocusdistances" /*RemoteObject*/ );Debug.locals.put("f", _f);Debug.locals.put("f", _f);
 BA.debugLineNum = 130;BA.debugLine="Log(f(0) & \", \" & f(1) & \", \" & f(2))";
Debug.ShouldStop(2);
c_foto.__c.runVoidMethod ("LogImpl","813893634",RemoteObject.concat(_f.getArrayElement(true,BA.numberCast(int.class, 0)),RemoteObject.createImmutable(", "),_f.getArrayElement(true,BA.numberCast(int.class, 1)),RemoteObject.createImmutable(", "),_f.getArrayElement(true,BA.numberCast(int.class, 2))),0);
 BA.debugLineNum = 131;BA.debugLine="Dim flashModes As List = camEx.GetSupportedFlashM";
Debug.ShouldStop(4);
_flashmodes = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
_flashmodes = __ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_getsupportedflashmodes" /*RemoteObject*/ );Debug.locals.put("flashModes", _flashmodes);Debug.locals.put("flashModes", _flashmodes);
 BA.debugLineNum = 132;BA.debugLine="If flashModes.IsInitialized = False Then";
Debug.ShouldStop(8);
if (RemoteObject.solveBoolean("=",_flashmodes.runMethod(true,"IsInitialized"),c_foto.__c.getField(true,"False"))) { 
 BA.debugLineNum = 133;BA.debugLine="ToastMessageShow(\"Flash not supported.\", False)";
Debug.ShouldStop(16);
c_foto.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Flash not supported.")),(Object)(c_foto.__c.getField(true,"False")));
 BA.debugLineNum = 134;BA.debugLine="Return";
Debug.ShouldStop(32);
if (true) return RemoteObject.createImmutable("");
 };
 BA.debugLineNum = 136;BA.debugLine="Dim flash As String = flashModes.Get((flashModes.";
Debug.ShouldStop(128);
_flash = BA.ObjectToString(_flashmodes.runMethod(false,"Get",(Object)(RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {_flashmodes.runMethod(true,"IndexOf",(Object)((__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_getflashmode" /*RemoteObject*/ )))),RemoteObject.createImmutable(1)}, "+",1, 1)),_flashmodes.runMethod(true,"getSize")}, "%",0, 1))));Debug.locals.put("flash", _flash);Debug.locals.put("flash", _flash);
 BA.debugLineNum = 137;BA.debugLine="camEx.SetFlashMode(flash)";
Debug.ShouldStop(256);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_setflashmode" /*RemoteObject*/ ,(Object)(_flash));
 BA.debugLineNum = 138;BA.debugLine="ToastMessageShow(flash, False)";
Debug.ShouldStop(512);
c_foto.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence(_flash)),(Object)(c_foto.__c.getField(true,"False")));
 BA.debugLineNum = 139;BA.debugLine="camEx.CommitParameters";
Debug.ShouldStop(1024);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_commitparameters" /*RemoteObject*/ );
 BA.debugLineNum = 140;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnfocus_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("btnFocus_Click (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,72);
if (RapidSub.canDelegate("btnfocus_click")) { return __ref.runUserSub(false, "c_foto","btnfocus_click", __ref);}
 BA.debugLineNum = 72;BA.debugLine="Sub btnFocus_Click";
Debug.ShouldStop(128);
 BA.debugLineNum = 73;BA.debugLine="camEx.FocusAndTakePicture";
Debug.ShouldStop(256);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_focusandtakepicture" /*RemoteObject*/ );
 BA.debugLineNum = 74;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnpicturesize_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("btnPictureSize_Click (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,142);
if (RapidSub.canDelegate("btnpicturesize_click")) { return __ref.runUserSub(false, "c_foto","btnpicturesize_click", __ref);}
RemoteObject _picturesizes = null;
RemoteObject _current = RemoteObject.declareNull("reparto_izca.keymon.lat.cameraexclass._camerasize");
int _i = 0;
RemoteObject _ps = RemoteObject.declareNull("reparto_izca.keymon.lat.cameraexclass._camerasize");
 BA.debugLineNum = 142;BA.debugLine="Sub btnPictureSize_Click";
Debug.ShouldStop(8192);
 BA.debugLineNum = 143;BA.debugLine="Dim pictureSizes() As CameraSize = camEx.GetSuppo";
Debug.ShouldStop(16384);
_picturesizes = __ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_getsupportedpicturessizes" /*RemoteObject*/ );Debug.locals.put("pictureSizes", _picturesizes);Debug.locals.put("pictureSizes", _picturesizes);
 BA.debugLineNum = 144;BA.debugLine="Dim current As CameraSize = camEx.GetPictureSize";
Debug.ShouldStop(32768);
_current = __ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_getpicturesize" /*RemoteObject*/ );Debug.locals.put("current", _current);Debug.locals.put("current", _current);
 BA.debugLineNum = 145;BA.debugLine="For i = 0 To pictureSizes.Length - 1";
Debug.ShouldStop(65536);
{
final int step3 = 1;
final int limit3 = RemoteObject.solve(new RemoteObject[] {_picturesizes.getField(true,"length" /*RemoteObject*/ ),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step3 > 0 && _i <= limit3) || (step3 < 0 && _i >= limit3) ;_i = ((int)(0 + _i + step3))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 146;BA.debugLine="If pictureSizes(i).Width = current.Width And pic";
Debug.ShouldStop(131072);
if (RemoteObject.solveBoolean("=",_picturesizes.getArrayElement(false, /*RemoteObject*/ BA.numberCast(int.class, _i)).getField(true,"Width" /*RemoteObject*/ ),BA.numberCast(double.class, _current.getField(true,"Width" /*RemoteObject*/ ))) && RemoteObject.solveBoolean("=",_picturesizes.getArrayElement(false, /*RemoteObject*/ BA.numberCast(int.class, _i)).getField(true,"Height" /*RemoteObject*/ ),BA.numberCast(double.class, _current.getField(true,"Height" /*RemoteObject*/ )))) { 
if (true) break;};
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 148;BA.debugLine="Dim ps As CameraSize = pictureSizes((i + 1) Mod p";
Debug.ShouldStop(524288);
_ps = _picturesizes.getArrayElement(false, /*RemoteObject*/ RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {RemoteObject.createImmutable(_i),RemoteObject.createImmutable(1)}, "+",1, 1)),_picturesizes.getField(true,"length" /*RemoteObject*/ )}, "%",0, 1));Debug.locals.put("ps", _ps);Debug.locals.put("ps", _ps);
 BA.debugLineNum = 149;BA.debugLine="camEx.SetPictureSize(ps.Width, ps.Height)";
Debug.ShouldStop(1048576);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_setpicturesize" /*RemoteObject*/ ,(Object)(_ps.getField(true,"Width" /*RemoteObject*/ )),(Object)(_ps.getField(true,"Height" /*RemoteObject*/ )));
 BA.debugLineNum = 150;BA.debugLine="ToastMessageShow(ps.Width & \"x\" & ps.Height & i,";
Debug.ShouldStop(2097152);
c_foto.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence(RemoteObject.concat(_ps.getField(true,"Width" /*RemoteObject*/ ),RemoteObject.createImmutable("x"),_ps.getField(true,"Height" /*RemoteObject*/ ),RemoteObject.createImmutable(_i)))),(Object)(c_foto.__c.getField(true,"False")));
 BA.debugLineNum = 151;BA.debugLine="camEx.CommitParameters";
Debug.ShouldStop(4194304);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_commitparameters" /*RemoteObject*/ );
 BA.debugLineNum = 152;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btntakepicture_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("btnTakePicture_Click (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,62);
if (RapidSub.canDelegate("btntakepicture_click")) { return __ref.runUserSub(false, "c_foto","btntakepicture_click", __ref);}
RemoteObject _ps = RemoteObject.declareNull("reparto_izca.keymon.lat.cameraexclass._camerasize");
 BA.debugLineNum = 62;BA.debugLine="Sub btnTakePicture_Click";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 63;BA.debugLine="Dim ps As CameraSize";
Debug.ShouldStop(1073741824);
_ps = RemoteObject.createNew ("reparto_izca.keymon.lat.cameraexclass._camerasize");Debug.locals.put("ps", _ps);
 BA.debugLineNum = 64;BA.debugLine="ps.Width =640";
Debug.ShouldStop(-2147483648);
_ps.setField ("Width" /*RemoteObject*/ ,BA.numberCast(int.class, 640));
 BA.debugLineNum = 65;BA.debugLine="ps.Height =480";
Debug.ShouldStop(1);
_ps.setField ("Height" /*RemoteObject*/ ,BA.numberCast(int.class, 480));
 BA.debugLineNum = 66;BA.debugLine="camEx.SetPictureSize(ps.Width, ps.Height)";
Debug.ShouldStop(2);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_setpicturesize" /*RemoteObject*/ ,(Object)(_ps.getField(true,"Width" /*RemoteObject*/ )),(Object)(_ps.getField(true,"Height" /*RemoteObject*/ )));
 BA.debugLineNum = 68;BA.debugLine="camEx.CommitParameters";
Debug.ShouldStop(8);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_commitparameters" /*RemoteObject*/ );
 BA.debugLineNum = 69;BA.debugLine="camEx.TakePicture";
Debug.ShouldStop(16);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_takepicture" /*RemoteObject*/ );
 BA.debugLineNum = 70;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _camera1_picturetaken(RemoteObject __ref,RemoteObject _data) throws Exception{
try {
		Debug.PushSubsStack("Camera1_PictureTaken (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,76);
if (RapidSub.canDelegate("camera1_picturetaken")) { return __ref.runUserSub(false, "c_foto","camera1_picturetaken", __ref, _data);}
RemoteObject _filename = RemoteObject.createImmutable("");
RemoteObject _dir = RemoteObject.createImmutable("");
RemoteObject _sdate = RemoteObject.createImmutable("");
RemoteObject _stime = RemoteObject.createImmutable("");
int _i = 0;
Debug.locals.put("Data", _data);
 BA.debugLineNum = 76;BA.debugLine="Sub Camera1_PictureTaken (Data() As Byte)";
Debug.ShouldStop(2048);
 BA.debugLineNum = 77;BA.debugLine="Dim filename As String = \"1.jpg\"";
Debug.ShouldStop(4096);
_filename = BA.ObjectToString("1.jpg");Debug.locals.put("filename", _filename);Debug.locals.put("filename", _filename);
 BA.debugLineNum = 78;BA.debugLine="Dim dir As String = File.DirInternal";
Debug.ShouldStop(8192);
_dir = c_foto.__c.getField(false,"File").runMethod(true,"getDirInternal");Debug.locals.put("dir", _dir);Debug.locals.put("dir", _dir);
 BA.debugLineNum = 80;BA.debugLine="camEx.SavePictureToFile(Data, dir, filename)";
Debug.ShouldStop(32768);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_savepicturetofile" /*RemoteObject*/ ,(Object)(_data),(Object)(_dir),(Object)(_filename));
 BA.debugLineNum = 81;BA.debugLine="camEx.StartPreview 'restart preview";
Debug.ShouldStop(65536);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_startpreview" /*RemoteObject*/ );
 BA.debugLineNum = 83;BA.debugLine="Dim sDate,sTime As String";
Debug.ShouldStop(262144);
_sdate = RemoteObject.createImmutable("");Debug.locals.put("sDate", _sdate);
_stime = RemoteObject.createImmutable("");Debug.locals.put("sTime", _stime);
 BA.debugLineNum = 84;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(524288);
c_foto.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 85;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(1048576);
_sdate = c_foto.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(c_foto.__c.getField(false,"DateTime").runMethod(true,"getNow")));Debug.locals.put("sDate", _sdate);
 BA.debugLineNum = 86;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(2097152);
_stime = c_foto.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_foto.__c.getField(false,"DateTime").runMethod(true,"getNow")));Debug.locals.put("sTime", _stime);
 BA.debugLineNum = 87;BA.debugLine="c=Starter.skmt.ExecQuery(\"select CUENTA from cuen";
Debug.ShouldStop(4194304);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_foto._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CUENTA from cuentaa"))));
 BA.debugLineNum = 88;BA.debugLine="c.Position = 0";
Debug.ShouldStop(8388608);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 89;BA.debugLine="cuenta = c.GetString(\"CUENTA\")";
Debug.ShouldStop(16777216);
__ref.setField ("_cuenta" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUENTA"))));
 BA.debugLineNum = 90;BA.debugLine="c=Starter.skmt.ExecQuery(\"select USUARIO from usu";
Debug.ShouldStop(33554432);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_foto._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select USUARIO from usuarioa"))));
 BA.debugLineNum = 91;BA.debugLine="c.Position = 0";
Debug.ShouldStop(67108864);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 92;BA.debugLine="USUARIO = c.GetString(\"USUARIO\")";
Debug.ShouldStop(134217728);
__ref.setField ("_usuario" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("USUARIO"))));
 BA.debugLineNum = 93;BA.debugLine="c.Close";
Debug.ShouldStop(268435456);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 94;BA.debugLine="Starter.skmt.ExecNonQuery(\"DELETE FROM NOVENTA WH";
Debug.ShouldStop(536870912);
c_foto._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("DELETE FROM NOVENTA WHERE NV_CLIENTE IN (select cuenta from cuentaa)")));
 BA.debugLineNum = 95;BA.debugLine="c=Starter.skmt.ExecQuery(\"select HVD_CLIENTE,HVD_";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_foto._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select HVD_CLIENTE,HVD_PRONOMBRE,HVD_CANT,HVD_COSTO_TOT from HIST_VENTAS WHERE HVD_CLIENTE IN (Select CUENTA from cuentaa) order by HVD_PRONOMBRE asc"))));
 BA.debugLineNum = 96;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(-2147483648);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 97;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(1);
{
final int step19 = 1;
final int limit19 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step19 > 0 && _i <= limit19) || (step19 < 0 && _i >= limit19) ;_i = ((int)(0 + _i + step19))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 98;BA.debugLine="c.Position=i";
Debug.ShouldStop(2);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 99;BA.debugLine="Starter.skmt.ExecNonQuery2(\"insert into reparto";
Debug.ShouldStop(4);
c_foto._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("insert into reparto(REP_CLIENTE, REP_PRONOMBRE, REP_CANT, REP_COSTO_TOT) select HVD_CLIENTE, HVD_PRONOMBRE, HVD_CANT, HVD_COSTO_TOT from hist_ventas where HVD_PRONOMBRE = ? and HVD_cliente in (Select CUENTA from cuentaa) ")),(Object)(c_foto.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_PRONOMBRE")))})))));
 BA.debugLineNum = 100;BA.debugLine="Starter.skmt.ExecNonQuery2(\"update cat_gunaprod";
Debug.ShouldStop(8);
c_foto._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("update cat_gunaprod set cat_gp_almacen = cat_gp_almacen + ? where cat_gp_nombre = ?")),(Object)(c_foto.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {2},new Object[] {(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_CANT")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_PRONOMBRE"))))})))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 104;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO  NOVENTA";
Debug.ShouldStop(128);
c_foto._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO  NOVENTA (NV_CLIENTE,NV_FECHA,NV_USER,NV_MOTIVO,NV_COMM,NV_LAT,NV_LON, NV_FOTO) VALUES(?,?,?,?,?,?,?,?) ")),(Object)(c_foto.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {8},new Object[] {(__ref.getField(true,"_cuenta" /*RemoteObject*/ )),(RemoteObject.concat(_sdate,_stime)),(__ref.getField(true,"_usuario" /*RemoteObject*/ )),RemoteObject.createImmutable(("CERRADO")),(c_foto._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_noventa" /*RemoteObject*/ ).getField(true,"_comentario" /*RemoteObject*/ )),(c_foto._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ )),(c_foto._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lon_gps" /*RemoteObject*/ )),(_data)})))));
 BA.debugLineNum = 105;BA.debugLine="Starter.skmt.ExecNonQuery($\"UPDATE kmt_info set g";
Debug.ShouldStop(256);
c_foto._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("UPDATE kmt_info set gestion = 3, HORAENT = '"),c_foto.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((RemoteObject.concat(_sdate,RemoteObject.createImmutable(" "),_stime)))),RemoteObject.createImmutable("' where CAT_CL_CODIGO In (select cuenta from cuentaa)")))));
 BA.debugLineNum = 106;BA.debugLine="Starter.skmt.ExecNonQuery(\"update HIST_VENTAS SET";
Debug.ShouldStop(512);
c_foto._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("update HIST_VENTAS SET HVD_RECHAZO = 1 WHERE HVD_CLIENTE IN (SELECT CUENTA FROM CUENTAA)")));
 BA.debugLineNum = 107;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(1024);
c_foto._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 108;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _camera1_ready(RemoteObject __ref,RemoteObject _success) throws Exception{
try {
		Debug.PushSubsStack("Camera1_Ready (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,51);
if (RapidSub.canDelegate("camera1_ready")) { return __ref.runUserSub(false, "c_foto","camera1_ready", __ref, _success);}
Debug.locals.put("Success", _success);
 BA.debugLineNum = 51;BA.debugLine="Sub Camera1_Ready (Success As Boolean)";
Debug.ShouldStop(262144);
 BA.debugLineNum = 52;BA.debugLine="If Success Then";
Debug.ShouldStop(524288);
if (_success.<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 53;BA.debugLine="camEx.SetJpegQuality(90)";
Debug.ShouldStop(1048576);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_setjpegquality" /*RemoteObject*/ ,(Object)(BA.numberCast(int.class, 90)));
 BA.debugLineNum = 54;BA.debugLine="camEx.CommitParameters";
Debug.ShouldStop(2097152);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_commitparameters" /*RemoteObject*/ );
 BA.debugLineNum = 55;BA.debugLine="camEx.StartPreview";
Debug.ShouldStop(4194304);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_startpreview" /*RemoteObject*/ );
 BA.debugLineNum = 56;BA.debugLine="Log(camEx.GetPreviewSize)";
Debug.ShouldStop(8388608);
c_foto.__c.runVoidMethod ("LogImpl","813500421",BA.ObjectToString(__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_getpreviewsize" /*RemoteObject*/ )),0);
 }else {
 BA.debugLineNum = 58;BA.debugLine="ToastMessageShow(\"Cannot open camera.\", True)";
Debug.ShouldStop(33554432);
c_foto.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Cannot open camera.")),(Object)(c_foto.__c.getField(true,"True")));
 };
 BA.debugLineNum = 60;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _changecamera_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("ChangeCamera_Click (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,110);
if (RapidSub.canDelegate("changecamera_click")) { return __ref.runUserSub(false, "c_foto","changecamera_click", __ref);}
 BA.debugLineNum = 110;BA.debugLine="Sub ChangeCamera_Click";
Debug.ShouldStop(8192);
 BA.debugLineNum = 111;BA.debugLine="camEx.Release";
Debug.ShouldStop(16384);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_release" /*RemoteObject*/ );
 BA.debugLineNum = 112;BA.debugLine="frontCamera = Not(frontCamera)";
Debug.ShouldStop(32768);
__ref.setField ("_frontcamera" /*RemoteObject*/ ,c_foto.__c.runMethod(true,"Not",(Object)(__ref.getField(true,"_frontcamera" /*RemoteObject*/ ))));
 BA.debugLineNum = 113;BA.debugLine="InitializeCamera";
Debug.ShouldStop(65536);
__ref.runClassMethod (reparto_izca.keymon.lat.c_foto.class, "_initializecamera" /*RemoteObject*/ );
 BA.debugLineNum = 114;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_foto._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_foto._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_foto._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_foto._xui);
 //BA.debugLineNum = 4;BA.debugLine="Private frontCamera As Boolean = False";
c_foto._frontcamera = c_foto.__c.getField(true,"False");__ref.setField("_frontcamera",c_foto._frontcamera);
 //BA.debugLineNum = 5;BA.debugLine="Dim g As GPS";
c_foto._g = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");__ref.setField("_g",c_foto._g);
 //BA.debugLineNum = 6;BA.debugLine="Private p_camara As Panel";
c_foto._p_camara = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_camara",c_foto._p_camara);
 //BA.debugLineNum = 7;BA.debugLine="Private camEx As CameraExClass";
c_foto._camex = RemoteObject.createNew ("reparto_izca.keymon.lat.cameraexclass");__ref.setField("_camex",c_foto._camex);
 //BA.debugLineNum = 8;BA.debugLine="Dim btnTakePicture As Button";
c_foto._btntakepicture = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_btntakepicture",c_foto._btntakepicture);
 //BA.debugLineNum = 9;BA.debugLine="Dim c As Cursor";
c_foto._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_foto._c);
 //BA.debugLineNum = 10;BA.debugLine="Dim cuenta As String";
c_foto._cuenta = RemoteObject.createImmutable("");__ref.setField("_cuenta",c_foto._cuenta);
 //BA.debugLineNum = 11;BA.debugLine="Dim lat_gps As String";
c_foto._lat_gps = RemoteObject.createImmutable("");__ref.setField("_lat_gps",c_foto._lat_gps);
 //BA.debugLineNum = 12;BA.debugLine="Dim USUARIO As String";
c_foto._usuario = RemoteObject.createImmutable("");__ref.setField("_usuario",c_foto._usuario);
 //BA.debugLineNum = 13;BA.debugLine="Dim MOTIVO As String";
c_foto._motivo = RemoteObject.createImmutable("");__ref.setField("_motivo",c_foto._motivo);
 //BA.debugLineNum = 14;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject __ref,RemoteObject _location1) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,47);
if (RapidSub.canDelegate("gps_locationchanged")) { return __ref.runUserSub(false, "c_foto","gps_locationchanged", __ref, _location1);}
Debug.locals.put("Location1", _location1);
 BA.debugLineNum = 47;BA.debugLine="Sub GPS_LocationChanged (Location1 As Location)";
Debug.ShouldStop(16384);
 BA.debugLineNum = 49;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,17);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_foto","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 17;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(65536);
 BA.debugLineNum = 18;BA.debugLine="Return Me";
Debug.ShouldStop(131072);
if (true) return __ref;
 BA.debugLineNum = 19;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initializecamera(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("InitializeCamera (c_foto) ","c_foto",10,__ref.getField(false, "ba"),__ref,38);
if (RapidSub.canDelegate("initializecamera")) { return __ref.runUserSub(false, "c_foto","initializecamera", __ref);}
 BA.debugLineNum = 38;BA.debugLine="Private Sub InitializeCamera";
Debug.ShouldStop(32);
 BA.debugLineNum = 39;BA.debugLine="camEx.Initialize(p_camara, frontCamera, Me, \"Came";
Debug.ShouldStop(64);
__ref.getField(false,"_camex" /*RemoteObject*/ ).runClassMethod (reparto_izca.keymon.lat.cameraexclass.class, "_initialize" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_p_camara" /*RemoteObject*/ )),(Object)(__ref.getField(true,"_frontcamera" /*RemoteObject*/ )),(Object)(__ref),(Object)(RemoteObject.createImmutable("Camera1")));
 BA.debugLineNum = 40;BA.debugLine="frontCamera = camEx.Front";
Debug.ShouldStop(128);
__ref.setField ("_frontcamera" /*RemoteObject*/ ,__ref.getField(false,"_camex" /*RemoteObject*/ ).getField(true,"_front" /*RemoteObject*/ ));
 BA.debugLineNum = 41;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}